Functions
Functions
BLE Services » Running Speed and Cadence Service Client (RSCS_C)

## Functions
sdk_err_t | rscs_client_init (rscs_c_evt_handler_t evt_handler)
| Register RSCS Client event handler. More...
sdk_err_t | rscs_c_disc_srvc_start (uint8_t conn_idx)
| Discovery Running Speed and Cadence Service on peer. More...
sdk_err_t | rscs_c_rsc_meas_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer RSC Measurement characteristic notify. More...
sdk_err_t | rscs_c_rsc_feature_read (uint8_t conn_idx)
| Read RSC Feature characteristic value. More...
sdk_err_t | rscs_c_sensor_loc_read (uint8_t conn_idx)
| Read Sensor Location characteristic value. More...
sdk_err_t | rscs_c_ctrl_pt_indicate_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer Control Point characteristic indicate. More...
sdk_err_t | rscs_c_ctrl_pt_set (uint8_t conn_idx, uint16_t ctrl_value)
| Set Control Point characteristic value. More...

## Detailed Description

## Function Documentation

## ◆ rscs_c_ctrl_pt_indicate_set()

sdk_err_t rscs_c_ctrl_pt_indicate_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer Control Point characteristic indicate.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | is_enable | True or false.

Returns
  Operation result.

## ◆ rscs_c_ctrl_pt_set()

sdk_err_t rscs_c_ctrl_pt_set | ( | uint8_t | conn_idx,
|  | uint16_t | ctrl_value
| ) |  |

Set Control Point characteristic value.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | ctrl_value | Value of control point.

Returns
  Operation result.

## ◆ rscs_c_disc_srvc_start()

sdk_err_t rscs_c_disc_srvc_start | ( | uint8_t | conn_idx | ) |

Discovery Running Speed and Cadence Service on peer.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ rscs_c_rsc_feature_read()

sdk_err_t rscs_c_rsc_feature_read | ( | uint8_t | conn_idx | ) |

Read RSC Feature characteristic value.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ rscs_c_rsc_meas_notify_set()

sdk_err_t rscs_c_rsc_meas_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer RSC Measurement characteristic notify.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | is_enable | true or false.

Returns
  Operation result.

## ◆ rscs_c_sensor_loc_read()

sdk_err_t rscs_c_sensor_loc_read | ( | uint8_t | conn_idx | ) |

Read Sensor Location characteristic value.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ rscs_client_init()

sdk_err_t rscs_client_init | ( | rscs_c_evt_handler_t | evt_handler | ) |

Register RSCS Client event handler.

Parameters

  [in] | evt_handler | Running Speed and Cadence Service Client event handler.

Returns
  Result of initialization.